Fork a mind

Creates a new active mind from the source mind's latest settled state. The source remains unchanged and both minds belong to the bearer key's project.

POST/v1/minds/{mind_id}/forks

Authorization

bearerAuth
AuthorizationBearer <token>

A project-scoped API key. Store it only on a trusted backend.

In: header

Path Parameters

mind_id*string

Public mind ID.

Header Parameters

Idempotency-Key*string

Stable key for safely retrying one logical fork operation.

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/minds/mind_example/forks" \  -H "Idempotency-Key: 0195cfc0-dabe-7c6f-bb2f-971c749d929a" \  -H "Content-Type: application/json" \  -d '{    "name": "Support assistant experiment"  }'
{  "id": "mind_fork_example",  "name": "Support assistant experiment",  "status": "active",  "recall_scope": "actor",  "contemplation_level": "balanced",  "contemplation": {    "mode": "active",    "interval_minutes": 15,    "dormant_after_minutes": 15,    "final_pass": true,    "maximum_runs_per_24_hours": 32  },  "created_at": "2026-08-31T12:00:00.000Z"}
{  "type": "error",  "error": {    "type": "string",    "message": "string"  },  "request_id": "string"}
{  "type": "error",  "error": {    "type": "string",    "message": "string"  },  "request_id": "string"}
{  "type": "error",  "error": {    "type": "string",    "message": "string"  },  "request_id": "string"}
{  "type": "error",  "error": {    "type": "string",    "message": "string"  },  "request_id": "string"}
{  "type": "error",  "error": {    "type": "string",    "message": "string"  },  "request_id": "string"}